play.deps

## Class DependenciesManager

- java.lang.Object
- - play.deps.DependenciesManager

    public class DependenciesManager
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`DependenciesManager(java.io.File application, java.io.File framework, java.io.File userHome)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`org.apache.ivy.Ivy` `configure()`
`java.io.File` `install(org.apache.ivy.core.report.ArtifactDownloadReport artifact)`
`static void` `main(java.lang.String[] args)`
`boolean` `problems()`
`void` `report()`
`org.apache.ivy.core.report.ResolveReport` `resolve()`
`java.util.List<java.io.File>` `retrieve(org.apache.ivy.core.report.ResolveReport report)`
`java.util.Set<java.lang.String>` `retrieveModules()`
`void` `sync(java.util.List<java.io.File> installed)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DependenciesManager

    public DependenciesManager(java.io.File application,
                               java.io.File framework,
                               java.io.File userHome)

### Method Detail

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### report

    public void report()

#### sync

    public void sync(java.util.List<java.io.File> installed)

#### problems

    public boolean problems()

#### retrieveModules

    public java.util.Set<java.lang.String> retrieveModules()
                                                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### retrieve

    public java.util.List<java.io.File> retrieve(org.apache.ivy.core.report.ResolveReport report)
                                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### install

    public java.io.File install(org.apache.ivy.core.report.ArtifactDownloadReport artifact)
                         throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### resolve

    public org.apache.ivy.core.report.ResolveReport resolve()
                                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### configure

    public org.apache.ivy.Ivy configure()
                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`